Package org.eclipse.birt.chart.datafeed

# Class NumberDataPointEntry

java.lang.Object
org.eclipse.birt.chart.datafeed.NumberDataPointEntry

All Implemented Interfaces:
  `IDataPointEntry`

Direct Known Subclasses:
  `BubbleEntry`, `DifferenceEntry`

public abstract class NumberDataPointEntry extends Object implements IDataPointEntry
The class defines abstract methods to access number values from number data set.

Since:
  2.6

## Constructor Summary

Constructors
Constructor
Description
`NumberDataPointEntry()`

## Method Summary

Modifier and Type
Method
Description
`abstract Number[]`
`getNumberData()`
Gets number data from data set.
`abstract void`
`setNumberData(Number[] data)`
Sets number data into data set.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.datafeed.IDataPointEntry

`getFormattedString, getFormattedString, isValid`

## Constructor Details

### NumberDataPointEntry

public NumberDataPointEntry()

## Method Details

### setNumberData

public abstract void setNumberData(Number[] data)
Sets number data into data set.

Parameters:
  `data` -

### getNumberData

public abstract Number[] getNumberData()
Gets number data from data set.

Returns: